Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nLibraryResource

    java.lang.Object
      ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.P13nLibraryResource

All Implemented Interfaces
  SecurityResource

    public class P13nLibraryResource

extends P13nResource
implements SecurityResource

The P13nLibraryResource class is used to represent an application defined resource for the runtime checking of role or security policies, which may be found scoped to a resource or a separate library.

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Constructor Summary
`P13nLibraryResource(String entAppName, String webAppName, String appResourceID, String capability, String libraryResourceID)` Construct a resource to be used for location of security policies.

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getLibraryResourceId, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### P13nLibraryResource

    public P13nLibraryResource(String entAppName,
                               String webAppName,
                               String appResourceID,
                               String capability,
                               String libraryResourceID)

  Construct a resource to be used for location of security policies.

  Parameters
    `entAppName` - Enterprise application name.
    `webAppName` - Webapp name.
    `appResourceID` - Application-defined resource taxonomy Id
    `capability` - Optional application-defined capability to evaluate. If no capability name is specified, a policy with no capability name will be used if found.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns
    EntitlementConstants.POLICY_LIBRARY_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved